sudo: required

language: python
 - "3.6"

services:
 - docker

install:
 - docker build -t jardiacaj/finem_imperii .

script:
 - docker run 
   -e CC_TEST_REPORTER_ID="$CC_TEST_REPORTER_ID"
   -e COVERALLS_REPO_TOKEN="$COVERALLS_REPO_TOKEN" 
   jardiacaj/finem_imperii
   /var/www/finem_imperii/devops/alpine_tests.sh

notifications:
  webhooks:
    urls:
      - $GITTER_WEBHOOK_URL
    on_success: change
    on_failure: always
    on_start: never
